# mongoc_bulk_operation_delete()

## Synopsis

    void
    mongoc_bulk_operation_delete (mongoc_bulk_operation_t *bulk,
                                  const bson_t *selector);

Deletes documents as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

## Deprecated

Warning

This function is deprecated and should not be used in new code.

Please use mongoc_bulk_operation_remove() instead.

## Parameters

- `bulk`: A mongoc_bulk_operation_t.

- `selector`: A `bson_t`.

## Errors

Errors are propagated via mongoc_bulk_operation_execute().

See also

mongoc_bulk_operation_remove_many_with_opts()
mongoc_bulk_operation_remove_one_with_opts()